![kitshn (for Tandoor)](/images/title_light.png#gh-light-mode-only)
![kitshn (for Tandoor)](/images/title_dark.png#gh-dark-mode-only)
---
![GitHub](https://img.shields.io/github/license/aimok04/kitshn?style=for-the-badge) ![GitHub release (latest by date)](https://img.shields.io/github/v/release/aimok04/kitshn?style=for-the-badge)

**kitshn** is an unofficial multiplatform client for the
self-hosted [Tandoor recipe management software](https://github.com/TandoorRecipes/recipes). The app
is built with **Compose Multiplatform**, and **Material You** to deliver a modern, intuitive and
responsive
user experience and is developed for Android, iOS and Desktop.

> [!IMPORTANT]
> Although kitshn is available to multiple platforms, the main focus is still on Android.
> Some features are exclusive to that platform.

## 📦 Installation

[<img src="/images/badge_github.png"
alt="Get it on GitHub"
height="80">](https://github.com/aimok04/kitshn/releases)
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
alt="Get it on F-Droid"
height="80">](https://f-droid.org/packages/de.kitshn.android/)
[<img src="/images/badge_google.png"
alt="Get it on Google Play"
height="80">](https://play.google.com/store/apps/details?id=de.kitshn.android)
[<img src="/images/badge_apple.png"
alt="Download on the App Store"
height="80">](https://apps.apple.com/us/app/kitshn-for-tandoor/id6740168361)

## 🔑 Certificate Fingerprints
```
SHA1:
CC:1A:8C:30:9B:DF:36:67:CE:E6:AC:FA:5D:74:FA:6A:56:70:73:A4

SHA256:
5D:1A:9A:D4:16:24:6D:76:75:3F:51:57:7E:00:CD:6D:72:DC:7C:3F:36:F5:F3:EC:1F:CB:DB:2B:C8:DD:31:7D
```
## 🌍 l10n

You can help translate kitshn on [Weblate](https://hosted.weblate.org/projects/kitshn/).
Contributions are very welcome 😊

[![Translation status](https://hosted.weblate.org/widget/kitshn/app/multi-auto.svg)](https://hosted.weblate.org/engage/kitshn/)

## 💪 Features

- [x] Dynamic home screen with suggestions
- [x] Recipes
    - [x] Adding, importing, editing and deleting
        - [x] Steps combining tool
        - [x] Share receiver for recipe imports via URL
    - [x] Extensive search
    - [x] Cooking mode
    - [x] Step-ingredient allocation tool
  - [x] App links
  - [x] Markdown supported
- [x] Meal plan
    - [x] Overview
    - [x] Adding, editing and deleting
- [x] Shopping list
    - [x] Adding and deleting
    - [x] Categories and supermarkets
    - [x] Shopping mode
    - [x] Offline mode  
    - [x] Auto-Sync
- [x] Recipe books
    - [x] Adding and deleting
    - [x] Favorites feature
- [x] UI
    - [x] Built with Jetpack Compose
    - [x] Material You dynamic colors
    - [x] Responsive two pane layouts for tablets and foldables

## 🖼️ Impressions

![Screenshots light](/images/screenshots_light.png#gh-light-mode-only)
![Screenshots dark](/images/screenshots_dark.png#gh-dark-mode-only)
![Screenshots tablet light](/images/screenshots_tablet_light.png#gh-light-mode-only)
![Screenshots tablet dark](/images/screenshots_tablet_dark.png#gh-dark-mode-only)
[![View light mode](/images/btn_light_mode.png#gh-dark-mode-only)](/images/screenshots_light.md#gh-dark-mode-only)
[![View dark mode](/images/btn_dark_mode.png#gh-light-mode-only)](/images/screenshots_dark.md#gh-light-mode-only)

## 🚧 Roadmap

- [ ] Home
  - [ ] Localize queries
  - [ ] Season-based recommendations
  - [ ] Commonly used keywords

## 📜 License & Credits

[GNU General Public License v3.0](/LICENSE)<br>
Icon made by Freepik from www.flaticon.com
